summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Ruppert <idl0r@gentoo.org>2016-05-25 20:44:22 +0200
committerChristian Ruppert <idl0r@gentoo.org>2016-05-25 20:56:36 +0200
commit2ab224b6caea5b5464881309f007e745f1bb94dc (patch)
treed143be4b3fe8f952bc107e6092816a273ee1a5df /sci-electronics
parentsys-kernel/gentoo-sources: Linux patch 3.18.34 (diff)
downloadgentoo-2ab224b6caea5b5464881309f007e745f1bb94dc.tar.gz
gentoo-2ab224b6caea5b5464881309f007e745f1bb94dc.tar.bz2
gentoo-2ab224b6caea5b5464881309f007e745f1bb94dc.zip
sci-electronics/eagle: Version bump to 7.6.0
Package-Manager: portage-2.2.28
Diffstat (limited to 'sci-electronics')
-rw-r--r--sci-electronics/eagle/Manifest2
-rw-r--r--sci-electronics/eagle/eagle-7.6.0.ebuild130
2 files changed, 132 insertions, 0 deletions
diff --git a/sci-electronics/eagle/Manifest b/sci-electronics/eagle/Manifest
index 4768ec4dcdf..4bc0fc6e7f4 100644
--- a/sci-electronics/eagle/Manifest
+++ b/sci-electronics/eagle/Manifest
@@ -3,5 +3,7 @@ DIST eagle-lin-5.12.0.run 36580499 SHA256 7903438b6f171894d7503d6b6e3149d3da321c
DIST eagle-lin-6.6.0.run 41425368 SHA256 1dd8f59a4c6b3a741e4c5e7eaa88347b9c12be8076c7cbb3580541a55a42a254 SHA512 6b28231665e4af5726799f998b3a4961be631a4b36e732d72d76af1939bec6cc144bcdebf5724c9c216771fb5fecef9549843d5c1ada6c41fb6a9f33b2cc33e2 WHIRLPOOL 6743f753f41be9a59982b993bde9eb4051049759209278a8630ea93686bf55c22a92a09996aa27faab260af7f2b1611cec72b858abeecd26498d12297713e201
DIST eagle-lin32-7.3.0.run 48599533 SHA256 93428e5cd6938f6a5efccce5f9ca1d2223ba2118868efd810a3fc84caf871232 SHA512 ef25fe7910a89e80b0c4c2d8a8f80269474510d5bd9250c6a2751ac198e7a5b4c687a30d1d784a86196589377ef7df527ff8cfa2a747c4f6e0f85496c3a180ab WHIRLPOOL 9e9654bd55516cc2fa965fbb01156f2cc2c7189744b598a20c048b7b65d51aa0b7e01ebd87769b3124ef1c2e43f3be62477643098a500cf9635426a666d99267
DIST eagle-lin32-7.4.0.run 49535353 SHA256 c233413057454b26d9d9d714428a008a3e259178b16455330f3e97e6517857f7 SHA512 667d213861458fb8f915dd1d46161e0b87fa9151f9686564638afdd33a8b2924fde28850c8bd6815d405104e48aa25957a5050e6276c43d5550a106016c0625a WHIRLPOOL 3efef7280e0c6fb2c6d0b4d8090f103eeeb8a7eefd9764cf1081129a553a708e910ce9a6ef9d5ce4e5e232774b2db6f22125ccd4f91a157c7b206f14135d4e8d
+DIST eagle-lin32-7.6.0.run 51535802 SHA256 0f3469e201a192161e0c7f95d3f12a5e51b6d2bd88d00c57a00e00fb3853dc3b SHA512 1151a34b16240dfd6ba1aff108e75bbd14d2062b0d0c43a1587770bc4897018031eda685e86accdfbfd53f3988774db6e538d862eb5844c45e939098005c1e76 WHIRLPOOL d00add4294813f9c2bbe9ca201b495bb52367f527cb58ec3aeb9f516e0289030cc8ab89d35d52603443b9c865f1f9192b4ec83126f4e0a5e726ad330928bcac2
DIST eagle-lin64-7.3.0.run 48248700 SHA256 2e7d98dc3c03bbd6ff3c10b54001722f57e25f8db8776851beac6fe755c8a7a5 SHA512 bd158b25ed682c63405b90358f82ffcb0903c7f5e5ae81737efcb56b6074a78125de31909c64f31a5f4bab7727c63b6aa0c7af0f6440793010f7f6de3f92f681 WHIRLPOOL e0422a00740182ce434ec7e1453234fc62fb83d20d5e6422b8d19440f6e6338826c0c55cb9995826be34c96885ddbc8b9345ada1e048635e5a793cd3bc81d6a4
DIST eagle-lin64-7.4.0.run 49186247 SHA256 2eda561eac449880087a717e65b823a6745b5102d1d9cbd95ecdc72fef739ac1 SHA512 a840689487a120f03323cb05894e9de00bae0fefc44ca63eaf6642ebb91c839ddc59ea7efffa308072ca38692f9ba6da478f114a56180a4bb6ec74eb49740a13 WHIRLPOOL 152a56b2a68099f770d96209f184acc708bc0fa6507fac3abdc34e122b37a3827c530df687c06e10904ffb36b54053f782d48e6db0d22a995da25314312db700
+DIST eagle-lin64-7.6.0.run 51149541 SHA256 1a794c90b7fc37180c3a9e45904559083e4479bf91f0f7db02ab6799db74acf2 SHA512 2eb3192c7aab36d23ecaae4ac4cf0b096306383bcf49680fb5936f9c45ef42d429f72796f03f818f46ba945ead5b60e57744d78ca1e3c63b73b44c185586a82c WHIRLPOOL 9dafc12d082c70c3b0e058ad3d9c07eb7e365924bee76ecf73d840b33025c37d62b65682cdd313b3b878f85da49ccc53d2bf28304abc919536f48d46740fa3bf
diff --git a/sci-electronics/eagle/eagle-7.6.0.ebuild b/sci-electronics/eagle/eagle-7.6.0.ebuild
new file mode 100644
index 00000000000..423a679dc61
--- /dev/null
+++ b/sci-electronics/eagle/eagle-7.6.0.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit eutils
+
+DESCRIPTION="CadSoft EAGLE schematic and printed circuit board (PCB) layout editor"
+HOMEPAGE="http://www.cadsoft.de"
+SRC_URI="
+ x86? ( ftp://ftp.cadsoft.de/${PN}/program/${PV%\.[0-9]}/${PN}-lin32-${PV}.run )
+ amd64? ( ftp://ftp.cadsoft.de/${PN}/program/${PV%\.[0-9]}/${PN}-lin64-${PV}.run )"
+
+LICENSE="cadsoft-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 -*"
+IUSE="doc linguas_de linguas_zh"
+
+QA_PREBUILT="opt/eagle/bin/eagle"
+RESTRICT="mirror bindist"
+
+RDEPEND="
+ sys-libs/glibc
+ dev-libs/openssl:0
+ >=sys-libs/zlib-1.2.8-r1
+ >=media-libs/freetype-2.5.0.1
+ >=media-libs/fontconfig-2.10.92
+ x11-libs/libXext
+ x11-libs/libX11
+ >=x11-libs/libXrender-0.9.8
+ >=x11-libs/libXrandr-1.4.2
+ >=x11-libs/libXcursor-1.1.14
+ >=x11-libs/libXi-1.7.2
+ net-print/cups
+ x11-libs/libxcb
+"
+
+# Append ${PV} since that's what upstream installs to
+case "${LINGUAS}" in
+ *de*)
+ MY_LANG="de";;
+ *)
+ MY_LANG="en";;
+esac
+
+src_unpack() {
+ # Extract the built-in .tar.bz2 file starting at __DATA__
+ sed -e '1,/^__DATA__$/d' "${DISTDIR}/${A}" | tar xj || die "unpacking failed"
+}
+
+src_install() {
+ local installdir="/opt/eagle"
+
+ # Set MY_LANG for this function only since UPDATE_zh and README_zh
+ # don't exist
+ [[ ${LINGUAS} == *zh* ]] && MY_INST_LANG="zh" || MY_INST_LANG="${MY_LANG}"
+
+ # Install the documentation
+ cd doc/
+
+ local pattern="^((README|UPDATE)_${MY_LANG}|library_${MY_LANG}\.txt)$"
+ for docs in README_* UPDATE_* library_*.txt; do
+ if [[ $docs =~ $pattern ]]; then
+ dodoc $docs
+ fi
+
+ rm -f $docs
+ done
+
+ doman eagle.1
+ rm eagle.1
+
+ # Install extra documentation if requested
+ pattern="^((tutorial|manual|generate-3d-idf-data)_|(connect-device-split-symbol|make-symbol-device-package-bsdl-2011)-)${MY_LANG}.pdf$"
+ if use doc; then
+ cd ulp/
+ for docs in generate-3d-idf-data_*.pdf connect-device-split-symbol-*.pdf make-symbol-device-package-bsdl-2011-*.pdf; do
+ if [[ ! $docs =~ $pattern ]]; then
+ rm $docs
+ fi
+ done
+ cd ../
+
+ for docs in manual_* tutorial_*; do
+ if [[ ! $docs =~ $pattern ]]; then
+ rm $docs
+ fi
+ done
+ else
+ rm {elektro-tutorial,manual_*,tutorial_*,layer-setup_designrules}.pdf
+ rm -rf ulp/
+ fi
+
+ rm -f license*.txt eagle.dtd
+
+ cd "${S}"
+
+ insinto $installdir
+ doins -r .
+
+ fperms 0755 ${installdir}/bin/eagle
+
+ # Install wrapper (suppressing leading tabs)
+ # see bug #188368 or http://www.cadsoftusa.com/training/faq/#3
+ exeinto /opt/bin
+ newexe "${FILESDIR}/eagle_wrapper_script" eagle
+ # Finally, append the path of the eagle binary respecting $installdir and any
+ # arguments passed to the script (thanks Denilson)
+ echo "${installdir}/bin/eagle" '"$@"' >> "${D}/opt/bin/eagle"
+
+ echo -e "ROOTPATH=${installdir}/bin\nPRELINK_PATH_MASK=${installdir}" > "${S}/90eagle-${PV}"
+ doenvd "${S}/90eagle-${PV}"
+
+ # Create desktop entry
+ newicon bin/${PN}icon50.png ${PF}-icon50.png
+ make_desktop_entry "${ROOT}/opt/bin/eagle" "CadSoft EAGLE Layout Editor" ${PF}-icon50 "Graphics;Electronics"
+}
+
+pkg_postinst() {
+ elog "Run \`env-update && source /etc/profile\` from within \${ROOT}"
+ elog "now to set up the correct paths."
+ elog "You must first run eagle as root to invoke product registration."
+ echo
+ ewarn "Due to some necessary changes in the data structure, once you edit"
+ ewarn "a file with version 7.x you will no longer be able to edit it"
+ ewarn "with versions prior to 7.0!"
+ ewarn
+ ewarn "Please read /usr/share/doc/${PF}/UPDATE_${MY_LANG} if you are upgrading from a version prior 7.x!"
+}